#
# spec file for package libaacs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libaacs
Version:        0.3.0
Release:        2.6
License:        LGPL-2.1+
Summary:        Open implentation of AACS specification
Url:            http://www.videolan.org/developers/libaacs.html
Group:          System/Libraries
Source:         ftp://ftp.videolan.org/pub/videolan/libaacs/%{version}/libaacs-%{version}.tar.bz2
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libgcrypt-devel
BuildRequires:  pkg-config
BuildRequires:  autoconf automake libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libaacs is a research project to implement the Advanced Access Content System specification.
This research project provides, through an open-source library, a way to understand how the AACS works.

%package -n libaacs0
Summary:        Open implentation of AACS specification
Group:          System/Libraries

%description -n libaacs0
libaacs is a research project to implement the Advanced Access Content System specification.
This research project provides, through an open-source library, a way to understand how the AACS works.

%package devel
Summary:        Open implentation of AACS specification - Development files
Group:          Development/Languages/C and C++
Requires:       libaacs0 = %{version}

%description devel
libaacs is a research project to implement the Advanced Access Content System specification.
This research project provides, through an open-source library, a way to understand how the AACS works.

%prep
%setup -q

%build
./bootstrap
%if 0%{?suse_version} < 1120
export CFLAGS="%{optflags} -std=gnu99"
%endif
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libaacs0 -p /sbin/ldconfig

%postun -n libaacs0 -p /sbin/ldconfig

%files -n libaacs0
%defattr(-, root, root)
%doc COPYING
%{_libdir}/libaacs.so.0
%{_libdir}/libaacs.so.0.*

%files devel
%defattr(-, root, root)
%{_libdir}/libaacs.so
%{_libdir}/pkgconfig/libaacs.pc
%{_includedir}/%{name}/

%changelog
* Sun Dec 18 2011 cs@linux-administrator.com
- re-import
